summaryrefslogtreecommitdiff
path: root/tests/misc/help-version
diff options
context:
space:
mode:
authorJim Meyering <meyering@redhat.com>2009-11-13 21:01:02 +0100
committerJim Meyering <meyering@redhat.com>2009-11-14 15:01:44 +0100
commit00f0cabaecdd490529d05230435671eb89a7b5c5 (patch)
tree20e14cf79b62535158796a55f27e8a025e9aeb91 /tests/misc/help-version
parent5cf6fb3b128a4e01b7350e961b72297b5bf3c5ec (diff)
downloadcoreutils-00f0cabaecdd490529d05230435671eb89a7b5c5.tar.xz
tests: help-version: exit nonzero when $built_programs is empty
* tests/misc/help-version: Use "Exit 1", rather than "Exit $fail" with fail defined to 0 when $built_programs is empty.
Diffstat (limited to 'tests/misc/help-version')
-rwxr-xr-xtests/misc/help-version2
1 files changed, 1 insertions, 1 deletions
diff --git a/tests/misc/help-version b/tests/misc/help-version
index 602835602..8f5cbdd28 100755
--- a/tests/misc/help-version
+++ b/tests/misc/help-version
@@ -45,7 +45,7 @@ expected_failure_status_vdir=2
test "$built_programs" \
- || { echo "$this_test: no programs built!?!" 1>&2; Exit $fail; }
+ || { echo "$this_test: no programs built!?!" 1>&2; Exit 1; }
for lang in C fr da; do
for i in $built_programs; do